const St = imports.gi.St;
const Main = imports.ui.main;
const Lang = imports.lang;
const Shell = imports.gi.Shell;
const PopupMenu = imports.ui.popupMenu;

let item, userMenu;

function _onThunderbirdActivate(){
	Main.overview.hide();
	let app = Shell.AppSystem.get_default().lookup_app('thunderbird.desktop');
	app.activate();
}

function init() {
	userMenu = Main.panel._statusArea.userMenu.menu;
}

function enable() {
	elts = new PopupMenu.PopupMenuItem(_("Email"));
	elts.connect('activate', Lang.bind(elts, _onThunderbirdActivate));
	userMenu.addMenuItem(elts, 2);
} 

function disable() {
	if (elts) {
	   elts.destroy();
	}
}
